﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectRepairWork.Entities;

public class MaterialProcurement
{
    public int Id { get; private set; }
    [Browsable(false)]
    public int MaterialsId { get; private set; }
    [DisplayName("Дата закупки")]
    public DateTime ProcurmentDate { get; private set; }
    [DisplayName("Сумма закупки")]
    public int MaterialsPrice { get; private set; }

    public static MaterialProcurement CreatOpertions(int id, DateTime procurmentDate, int materialsId, int materialsPrice)
    {
        return new MaterialProcurement
        {
            Id = id,
            MaterialsId = materialsId,
            ProcurmentDate = procurmentDate,
            MaterialsPrice = materialsPrice,
        };
    }
}
