﻿using ProjectRepairWork.Entities.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectRepairWork.Entities;

public class Works
{
    public int Id { get; private set; }
    [DisplayName("Вид работ")]
    public string WorkName { get; private set; } = string.Empty;
    [DisplayName("Название материалов")]
    public MaterialsName MaterialsName { get; private set; }
    public static Works CreatEntity(int id, string workName, MaterialsName materialsName) 
    {
        return new Works
        {
            Id = id,
            WorkName = workName,
            MaterialsName = materialsName
        };
    }
}
